Page MenuHomePhabricator

IRC recent changes feed should not put protection flags inside the "[[" and "]]" for page title
Closed, DeclinedPublic

Description

There are some problems with messages of rc-pmtpa :

-position of ']]' :
[22:39:59] <@rc-pmtpa> [[Spécial:Log/protect]] protect * Lomita * a protégé « [[Discussion utilisateur:Grossechiassetoutepourrie ‎[create=sysop] (infini)]] »

-not translated :
[[Spécial:Log/rights]] rights * Esprit Fugace * changed group membership for Utilisateur:FrankyLeRoutier from (aucun) to abusefilter :

(= a changé de groupe d'utilisateur Utilisateur:FrankyLeRoutier de (aucun) à abusefilter)

[[Spécial:Log/delete]] delete * David Berardan * deleted "[[Casquette de baseball]]" :
(deleted = a supprimé, the opposite is restaured : "a restauré")

[[Spécial:Log/move]] move * Enzino * moved [[David Greene (athlète)]] to [[David Greene (athlétisme)]] 
(moved = a déplacé, to = vers)

-some extra spaces, severals sorts of quotation marks..


Version: 1.22.0
Severity: minor

Details

Reference
bz51329

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 1:54 AM
bzimport set Reference to bz51329.
bzimport added a subscriber: Unknown Object (MLST).
Frakir created this task.Jul 14 2013, 9:32 PM

In future please submit one issue per bug.

(In reply to comment #0)

-not translated :
[[Spécial:Log/rights]] rights * Esprit Fugace * changed group membership
for
Utilisateur:FrankyLeRoutier from (aucun) to abusefilter :
(= a changé de groupe d'utilisateur Utilisateur:FrankyLeRoutier de (aucun) à
abusefilter)
[[Spécial:Log/delete]] delete * David Berardan * deleted "[[Casquette de
baseball]]" :
(deleted = a supprimé, the opposite is restaured : "a restauré")

I think these are WONTFIX - this feed should be parseable by bots, not translated.

(In reply to comment #0)

[[Spécial:Log/move]] move * Enzino * moved [[David Greene (athlète)]] to
[[David Greene (athlétisme)]] 
(moved = a déplacé, to = vers)
-some extra spaces, severals sorts of quotation marks..

What quotation marks?

(In reply to comment #0)

-not translated :
[[Spécial:Log/rights]] rights * Esprit Fugace * changed group membership
for
Utilisateur:FrankyLeRoutier from (aucun) to abusefilter :
(= a changé de groupe d'utilisateur Utilisateur:FrankyLeRoutier de (aucun) à
abusefilter)
[[Spécial:Log/delete]] delete * David Berardan * deleted "[[Casquette de
baseball]]" :
(deleted = a supprimé, the opposite is restaured : "a restauré")

I think these are WONTFIX - this feed should be parseable by bots, not
translated.

Protect/block/articlefeedback messages are translated in French. Rights/deletion/move messages are in english. I am trying to parse these messages and unfortunately each has a different format.

The worse is a bug with protect messages :

[22:35:58] <@rc-pmtpa> [[Spécial:Log/protect]] protect * Octave.H * a protégé « [[Agadir ‎[edit=autoconfirmed] (expire le 21 juillet 2013 à 20:35 (UTC)) ‎[move=autoconfirmed] (expire le 21 juillet 2013 à 20:35 (UTC))]] » 

should be :

[22:35:58] <@rc-pmtpa> [[Spécial:Log/protect]] protect * Octave.H * a protégé « [[Agadir]] ‎[edit=autoconfirmed] (expire le 21 juillet 2013 à 20:35 (UTC)) ‎[move=autoconfirmed] (expire le 21 juillet 2013 à 20:35 (UTC)) »

(In reply to comment #0)

[[Spécial:Log/move]] move * Enzino * moved [[David Greene (athlète)]] to
[[David Greene (athlétisme)]] 
(moved = a déplacé, to = vers)
-some extra spaces, severals sorts of quotation marks..

What quotation marks?

« [[Agadir » (protect messages), "[[Casquette de baseball]]" (deletion messages)

Elfix added a comment.Jul 16 2013, 3:27 PM

(In reply to comment #1)

I think these are WONTFIX - this feed should be parseable by bots, not
translated.

The problem is, in fact, that this feed cannot be easily parsed by bots. Would it not be possible to have a general syntax (in a single language)?

Do you know when this problem started?

ni.33 / Félix M.: Could you answe comment 4?

(In reply to comment #4)

Do you know when this problem started?

We don't have the answer.

Elfix added a comment.Aug 18 2013, 7:29 PM

All I can say is that in 2008, everything was only in French:

(Log from December 13th)

  • move : [[Spécial:Log/move]] move * TigH * a renommé [[Modèle:Portail Les Femmes/Lumière sur]] en [[Portail:Les Femmes/Lumière sur]]
  • block : [[Spécial:Log/block]] block * Phe * a bloqué « [[Utilisateur:89.2.154.53]] » - durée : 2 semaines (création de compte interdite, ne peut modifier sa propre page de discussion): proxy ouvert
  • delete : [[Spécial:Log/delete]] delete * Phe * a effacé « [[Modèle:Portail Macédoine]] »: portai len chantier, à restaurer quand le portail sera fonctionnel

Now it is as follows:

  • move : [[Spécial:Log/move]] move * Enzino * moved [[David Greene (athlète)]] to [[David Greene (athlétisme)]] : Projet
  • block : [[Spécial:Log/block]] block * Blockbot * a bloqué « [[Utilisateur:91.64.48.114]] » - durée : 1 mois (création de compte interdite, ne peut modifier sa propre page de discussion) : [[Wikipédia:Proxy ouvert|Proxy ouvert]]
  • delete : [[Spécial:Log/delete]] delete * David Berardan * deleted "[[Casquette de baseball]]" : Traduction automatique, texte incompréhensible

As for the protection log failure, we only noticed it in March 2013. Can't tell for how long it's been like this.

Elfix added a comment.Aug 18 2013, 7:36 PM

Sorry, a mistake: we first noticed it in March *2012*.

This is a known bug but now considered part of the API for the IRC feed. This is kept for backwards compatibility.

Use the recent changes API module for a proper machine readable feed. Or, once it is ready, the JSON RCFeed on [[wikitech:stream.wikimedia.org]].